Bug 1573991 - Review Request: golang-github-aead-chacha20 - ChaCha20 and XChaCha20 stream ciphers
Summary: Review Request: golang-github-aead-chacha20 - ChaCha20 and XChaCha20 stream c...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jared Smith
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1573997
TreeView+ depends on / blocked
 
Reported: 2018-05-02 16:14 UTC by Robert-André Mauchin 🐧
Modified: 2018-06-14 18:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-02 20:43:13 UTC
Type: ---
jsmith.fedora: fedora-review+


Attachments (Terms of Use)

Description Robert-André Mauchin 🐧 2018-05-02 16:14:34 UTC
Spec URL: https://copr-be.cloud.fedoraproject.org/results/eclipseo/dnscrypt-proxy/fedora-rawhide-x86_64/00740389-golang-github-aead-chacha20/golang-github-aead-chacha20.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/eclipseo/dnscrypt-proxy/fedora-rawhide-x86_64/00740389-golang-github-aead-chacha20/golang-github-aead-chacha20-0-0.1.20180412gite0d4ab3.fc29.src.rpm

Description:
This package provides implementations of three ChaCha versions:

 - ChaCha20 with a 64 bit nonce (can en/decrypt up to 2^64 * 64 bytes for one 
 key-nonce combination)
 - ChaCha20 with a 96 bit nonce (can en/decrypt up to 2^32 * 64 bytes ~ 256 GB 
 for one key-nonce combination)
 - XChaCha20 with a 192 bit nonce (can en/decrypt up to 2^64 * 64 bytes 
 for one key-nonce combination)

Furthermore the chacha sub package implements ChaCha20/12 and ChaCha20/8. 
These versions use 12 or 8 rounds instead of 20. But it's recommended to use 
ChaCha20 (with 20 rounds) - it will be fast enough for almost all purposes.

Fedora Account System Username: eclipseo

Comment 1 Jared Smith 2018-05-15 00:23:41 UTC
I have reviewed this package, and it conforms to the Fedora Packaging Guidelines.  It builds cleanly in mock.  It is APPROVED.

Comment 2 Gwyn Ciesla 2018-05-17 13:08:37 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-aead-chacha20

Comment 3 Fedora Update System 2018-05-18 12:47:36 UTC
golang-github-aead-chacha20-0-0.1.20180517gite253874.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e8bd8fcb9f

Comment 4 Fedora Update System 2018-05-19 04:21:24 UTC
golang-github-aead-chacha20-0-0.1.20180517gite253874.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e8bd8fcb9f

Comment 5 Fedora Update System 2018-05-25 19:40:13 UTC
golang-github-aead-chacha20-0-0.1.20180517gite253874.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f50cd122f3

Comment 6 Fedora Update System 2018-05-26 20:35:55 UTC
golang-github-aead-chacha20-0-0.1.20180517gite253874.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f50cd122f3

Comment 7 Fedora Update System 2018-06-02 20:43:13 UTC
golang-github-aead-chacha20-0-0.1.20180517gite253874.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2018-06-14 18:14:38 UTC
golang-github-aead-chacha20-0-0.1.20180517gite253874.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.